To release a new stable version of `syntheseus` one needs to complete the following steps:

1. Create a PR editing the `CHANGELOG.md` analogous to [#88](https://github.com/microsoft/syntheseus/pull/88) (note how the changelog has to be modified in three places).
2. Run the ["Release Stable Version" workflow](https://github.com/microsoft/syntheseus/actions/workflows/release.yml), providing the version number as argument (use the `x.y.z` format _without_ the leading "v"; the workflow will prepend it wherever necessary). Make sure the branch is set to `main`. If this step does not work as intended the tag can always be deleted manually, while the changes to the docs can be reverted by removing a commit from the `gh-pages` branch (requires a force push).
3. Create a GitHub Release from the [newly created tag](https://github.com/microsoft/syntheseus/tags). Set the name to `syntheseus x.y.z`. The description should be the list of changes copied from the changelog (example [here](https://github.com/microsoft/syntheseus/releases/tag/v0.4.0)). Consider including a short description before the list of changes to describe the main gist of the release.
4. Release a new version to PyPI (e.g. by following [these instructions](https://realpython.com/pypi-publish-python-package/)). Consider publishing to [Test PyPI](https://test.pypi.org/) first to verify that the README renders correctly.
